<?php
// +-----------------------------------------------------------------------+
// | Piwigo - a PHP based picture gallery                                  |
// | Theme switch plugin                                                   |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2008      Pavel Budka                http://pbudka.co.cc |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

/*
Plugin Name: Theme Switch
Version: 1.1
Description: Switch to another template/theme from flags on your gallery home page. Edit file main.inc.php for configuration. Based on Language switch
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=257
Author: Pavel Budka
Author URI: http://pbudka.co.cc
*/

include_once(PHPWG_PLUGINS_PATH.'theme_switch/theme_switch.inc.php');
add_event_handler('loading_lang', 'theme_switch' );

// If you want user to choose from icons then use following handler. 
// Only themes which have gif icon provided in icons plugin directory will be provided to users.
// Gif file name must be the same as theme's name and must be stored in sub directory named according to template's name.  
add_event_handler('loc_end_index', 'theme_icons' );

// If you want user to choose using select control then use following handler.
// All available themes will be provided to users. 
add_event_handler('loc_end_index', 'theme_select' );
?>
